/// <reference types="jest" />
export interface ICommonProps {
    region: string;
    timeout?: number;
    pollEvery?: number;
}
interface IMatchResult {
    pass: boolean;
    message: () => string;
}
export declare const sleep: (ms: number) => Promise<{}>;
export declare const wrapWithRetries: (matcher: (this: jest.MatcherUtils, ...args: any[]) => Promise<IMatchResult>) => (this: jest.MatcherUtils, props: ICommonProps, ...args: any[]) => Promise<IMatchResult>;
export declare const verifyProps: (props: any, expectedProps: string[]) => void;
export {};
