/// <reference types="jest" />
import { AttributeMap, Key } from 'aws-sdk/clients/dynamodb';
import { ICommonProps } from './common';
interface IDbProps extends ICommonProps {
    table: string;
}
export declare const toHaveItem: (this: jest.MatcherUtils, props: IDbProps, key: Key, expected?: AttributeMap | undefined, strict?: boolean) => Promise<{
    message: () => string;
    pass: boolean;
}>;
export {};
