"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
exports.getResponse = async (url, method, params, data, headers) => {
    const result = await axios_1.default({
        data,
        headers,
        method,
        params,
        timeout: 30 * 1000,
        url,
        validateStatus: () => true,
    });
    return { statusCode: result.status, data: result.data };
};
//# sourceMappingURL=api.js.map