/// <reference types="jest" />
import { IPlainObject } from '../utils/api';
interface IApiProps {
    method: string;
    url: string;
    params?: IPlainObject;
    data?: IPlainObject;
    headers?: IPlainObject;
}
export interface IExpectedResponse {
    statusCode: number;
    data: IPlainObject;
}
export declare const toReturnResponse: (this: jest.MatcherUtils, props: IApiProps, expected: IExpectedResponse) => Promise<{
    message: () => string;
    pass: boolean;
}>;
export {};
