export declare type IMessageMatcher = (args: any) => boolean;
export declare const subscribeToTopic: (region: string, topicArn: string) => Promise<{
    subscriptionArn: string;
    queueUrl: string;
}>;
export declare const unsubscribeFromTopic: (region: string, subscriptionArn: string, queueUrl: string) => Promise<void>;
export declare const existsInQueue: (region: string, queueUrl: string, matcher: IMessageMatcher) => Promise<boolean>;
